Get SeasLog datetime format style

- « SeasLog::getBufferEnabled

- SeasLog::getLastLogger »

- PHP Manual
- SeasLog
- Get SeasLog datetime format style

# SeasLog::getDatetimeFormat

(PECL seaslog >=1.0.0)

SeasLog::getDatetimeFormat — Get SeasLog datetime format style

### Description

public static SeasLog::getDatetimeFormat(): string

Get SeasLog datetime format style. Use the Function SeasLog::getDatetimeFormat() will get the value of seaslog.default_datetime_format what configured in php.ini(seaslog.ini).

### Parameters

This function has no parameters.

### Return Values

Get SeasLog datetime format style of seaslog.default_datetime_format. Use the Function SeasLog::setDatetimeFormat() will change this value.

### Examples

Example #1 SeasLog::getDatetimeFormat() example

    <?phpvar_dump(SeasLog::getDateTimeFormat());var_dump(SeasLog::setDateTimeFormat('Ymd His'));var_dump(SeasLog::getDateTimeFormat());?>

The above example will output something similar to:

    string(11) "Y-m-d H:i:s"
    bool(true)
    string(7) "Ymd His"

### See Also

- SeasLog::setDatetimeFormat() - Set SeasLog datetime format style